Bug 5822 - Improve diagnostics for globus-scheduler-event-generator program
: Improve diagnostics for globus-scheduler-event-generator program
Status: RESOLVED FIXED
: GRAM
wsrf scheduler interface
: 4.0.6
: Macintosh All
: P3 normal
: 4.0.7
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-02-01 07:09 by
Modified: 2008-02-28 13:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-01 07:09:04
The globus-scheduler-event generator program does not produce helpful messages
when it is not configured properly. The typical message is 
Fault: globus_xio: Operation was canceled
Some of this may need fixing in the scheduler modules and some in the
scheduler-event-generator program itself.
------- Comment #1 From 2008-02-01 10:48:58 -------
Motivation for this bug report:

http://www.globus.org/mail_archive/gt-user/2008/02/msg00000.html

First patch for this problem:
http://www-unix.mcs.anl.gov/~bester/patches/bug-5822.diff
Skips the Fault: globus_xio: Operation was canceled message
Prints out result's value if loading the module fails.

Joe
------- Comment #2 From 2008-02-14 11:24:27 -------
Committed to 4.0 branch and trunk